Name: amarok
Version: 1.3.8
Release: alt0.M30.1

Summary: Amarok is a music player for KDE.
License: GPL
Group: Sound
Url: http://amarok.kde.org/
Requires: libtag >= 1.4 amarok-engine
Provides: python2.4(Publisher)

Source0: %name-%version.tar.bz2
Source1: %name-README.ALT
Source2: %name.menu
Patch0: %name-alt-artsengine.patch
Patch1: %name-alt-config.patch
#Patch2: %name-alt-tunepimp.patch

# Automatically added by buildreq on Mon Feb 14 2005
BuildRequires: fontconfig freetype2 gcc-c++ glib-devel glib2-devel gstreamer-devel
BuildRequires: gstreamer-plugins-devel gtk+-devel kdebase-devel kdebase-konqueror
BuildRequires: kdelibs-devel kdemultimedia-arts libSDL-devel libarts-devel
BuildRequires: libarts-qtmcop libjpeg-devel libpng-devel libpopt-devel libqt3-devel
BuildRequires: libstdc++-devel libtag-devel >= 1.3.1 libtunepimp-devel >= 0.3.0
BuildRequires: libvisual-devel libxine-devel libxml2-devel libxmms-devel pkgconfig
BuildRequires: xml-utils xorg-x11-libs zlib-devel libsqlite3-devel kdemultimedia-devel

%description
amaroK is an advanced audio player.
Excellent streaming support, audio effects, visualisations and smooth 
crossfading separate this player from existing KDE solutions. 
At the same time amaroK provides a very intuitive and quick user interface, 
with unparalleled playlist handling, optimized for very large playlists.
The built-in StreamBrowser makes finding web streams as easy as using a radio: 
you can pick your favorite program right inside of amaroK.

%description -l ru_RU.KOI8-R
amaroK -   .   , 
 , .     amaroK   
   .     .
 StreamBrowser           
:         amaroK.

%package -n %name-engine-arts
Summary: Arts engine for amaroK player
Group: Sound
Requires: amarok = %version-%release arts
Provides: amarok-engine

%description -n %name-engine-arts
amarok-engine-arts is an engine for amaroK player.
It uses KDE's Arts sound server for output sound stream.

%description -n %name-engine-arts -l ru_RU.KOI8-R
amarok-engine-arts -       
  DE (Arts)

%package -n %name-engine-gstreamer
Summary: Gstreamer engine for amaroK player
Group: Sound
Requires: amarok = %version-%release
Requires: gstreamer gstreamer-tagediting gstreamer-mad gstreamer-ogg gstreamer-alsa 
Requires: gstreamer-vorbis gstreamer-audio-formats gstreamer-audio-effects
Provides: amarok-engine

%description -n %name-engine-gstreamer
amarok-engine-gstreamer is an engine for amaroK player.
It uses Gstreamer for output sound stream.

%description -n %name-engine-gstreamer -l ru_RU.KOI8-R
amarok-engine-gstreamer -    
   amaroK.   Gstreamer
  .

%package -n %name-engine-xine
Summary: Xine engine for amaroK player
Group: Sound
Requires: amarok = %version-%release
Provides: amarok-engine

%description -n %name-engine-xine
amarok-engine-xine is an engine for amaroK player.
It uses xine library for output sound stream.

%description -n %name-engine-xine -l ru_RU.KOI8-R
amarok-engine-xine -    
   amaroK.   
xine   .

%prep
%setup -q -n %name-%version
%patch0 -p1
#%patch1 -p1
#%patch2 -p1

%__subst "s/\(Wl,--no-undefined\)/-Wl,--warn-unresolved-symbols \1/g" admin/acinclude.m4.in
%__subst "s/\-lkdeui/-lkdeui -lpthread/g" admin/acinclude.m4.in
%__subst "s/\-lkdecore/-lkdecore -lpthread/g" admin/acinclude.m4.in
%__subst "s/\-lkdefx/-lkdefx -lpthread/g" admin/acinclude.m4.in
%__subst 's,\.la,\.so,' admin/acinclude.m4.in
%make -f admin/Makefile.common cvs

%build
%configure --disable-debug --disable-rpath
%make_build
%install
%make DESTDIR=%buildroot install

#menu
%__mkdir_p %buildroot%_menudir
#/usr/bin/kdedesktop2mdkmenu.pl %name Multimedia/Sound %buildroot%_datadir/applications/kde/%name.desktop %buildroot%_menudir/%name x11
%__install -m644 %SOURCE2 %buildroot%_menudir/%name

#doc
%__install -m644 %SOURCE1 $RPM_BUILD_DIR/%name-%version/README.ALT

%find_lang --with-kde %name

%post
%update_menus

%postun
%clean_menus

%files -f %name.lang
%doc AUTHORS ChangeLog README README.ALT
%_bindir/amarok
%_bindir/amarok_xmmswrapper2
%_bindir/amarokapp
%_bindir/amarok_libvisual
%_libdir/kde3/libamarok_void-engine_plugin.so
%_libdir/kde3/konqsidebar_universalamarok.so
%_menudir/amarok
%_datadir/applications/kde/amarok.desktop
%_datadir/apps/amarok/
%_datadir/apps/konqueror/servicemenus/amarok_append.desktop
%_datadir/apps/konqsidebartng/add/amarok.desktop
%_datadir/apps/konqsidebartng/entries/amarok.desktop
%_datadir/apps/konqsidebartng/kicker_entries/amarok.desktop
%_datadir/apps/profiles/amarok.profile.xml
%_datadir/config.kcfg/xinecfg.kcfg
%_datadir/config/amarokrc
%_datadir/config.kcfg/amarok.kcfg
%_iconsdir/*/*/apps/amarok.png
%_datadir/services/amarok_void-engine_plugin.desktop
%_datadir/servicetypes/amarok_plugin.desktop
%_defaultdocdir/HTML/pt_BR/amarok/

%files -n %name-engine-arts
%_libdir/libamarokarts.so
%_libdir/kde3/libamarok_artsengine_plugin.so
%_libdir/mcop/amarokarts.mcopclass
%_libdir/mcop/amarokarts.mcoptype
%_libdir/mcop/Amarok/RawScope.mcopclass
%_libdir/mcop/Amarok/Synth_STEREO_XFADE.mcopclass
%_datadir/services/amarok_artsengine_plugin.desktop

#%files -n %name-engine-akode
#%_libdir/kde3/libamarok_aKode-engine.so
#%_datadir/services/amarok_aKode-engine.desktop

%files -n %name-engine-gstreamer
%_libdir/kde3/libamarok_gstengine_plugin.so
%_datadir/config.kcfg/gstconfig.kcfg
%_datadir/services/amarok_gstengine_plugin.desktop

%files -n %name-engine-xine
%_libdir/kde3/libamarok_xine-engine.so
%_datadir/services/amarok_xine-engine.desktop

%changelog
* Wed Mar 08 2006 Dmitriy Khanzhin <jinn@altlinux.ru> 1.3.8-alt0.M30.1
- backport to M30

* Fri Jan 27 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.3.8-alt1
- 1.3.8
- fixed BuildRequires

* Tue Jan 03 2006 Stanislav Yadykin <tosick@altlinux.ru> 1.3.7-alt2
- fixed menu generation
- fixed provides

* Mon Dec 12 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.7-alt1
- 1.3.7
- build with libtunepimp 0.4.0

* Fri Nov 18 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.6-alt1
- 1.3.6

* Fri Oct 28 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.5-alt1
- 1.3.5

* Fri Oct 14 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.3-alt1
- 1.3.3

* Tue Sep 27 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.2-alt2
- build with system sqlite

* Thu Sep 22 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3.2-alt1
- 1.3.2

* Mon Aug 15 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3-alt2
- 1.3

* Thu Aug 11 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.3-alt1beta3
- 1.3-beta3
- removed aKode engine

* Tue Aug 09 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.4-alt2
- removed some unneeded patches (thanx zerg@)
- removed .la files (thanx zerg@)

* Wed May 25 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.4-alt1
- 1.2.4

* Fri Apr 08 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.3-alt2
- rebuild
- added aKode engine

* Tue Mar 29 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.3-alt1
- 1.2.3

* Tue Mar 15 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.2-alt1
- 1.2.2

* Thu Mar 10 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.1-alt2
- split amarok package into base and arts-engine package
- misc spec fixes

* Thu Mar 03 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2.1-alt1
- 1.2.1
- spec fixes

* Mon Feb 14 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt3
- 1.2 release

* Mon Jan 31 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt2beta4
- new version
- README.ALT fix

* Thu Jan 27 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt2beta3
- menu fix

* Mon Jan 10 2005 Stanislav Yadykin <tosick@altlinux.ru> 1.2-alt1beta3
- 1.2-alt1beta3 new version
- 1.2-alt1beta3 FIX #5256
- 1.2-alt1beta3 split to main app and engines for playing via gstreamer and libxine

* Tue Oct 19 2004 Dmitriy Porollo <spider@altlinux.ru> 1.1.1-alt2
- 1.1.1-alt2 Remove MAS support
- 1.1.1-alt2 Remove requires

* Mon Oct 11 2004 Dmitriy Porollo <spider@altlinux.ru> 1.1.1-alt1
- 1.1.1-alt1 new release
- 1.1.1-alt1 build bugs fixed

* Mon Oct 4 2004 Dmitriy Porollo <spider@altlinux.ru> 1.1-alt1
- 1.1-alt1 xine engine support added
- 1.1-alt1 new release

* Tue Aug 05 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.2-alt2
- 1.0.2-alt2 FIX: gstreamer requires.
- 1.0.2-alt2 ADD: README_ALT updated

* Tue Aug 05 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.2-alt1
- 1.0.2-alt1 ADD: README_ALT
- 1.0.2-alt1 ADD: xine-engine, configure --with-xine to use
- 1.0.2-alt1 FIX: aRts-engine: Compatibility with newer aRts versions improved.
- 1.0.2-alt1 FIX: aRts-engine: Streams sometimes stopping shortly after playback was started.
- 1.0.2-alt1 FIX: CHG: Increased stream connect timeout to 12 seconds.
- 1.0.2-alt1 ADD: Buld without arts engine.

* Tue Jul 13 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt3
- 1.0.1-alt3 FIX: Russian ID3v1 tag's bug fixed (see options->encoding)

* Tue Jul 07 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt2
- 1.0.1-alt2 FIX: Internatialisations fixed (invalid names of .mo files). 

* Tue Jun 29 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0.1-alt1
- 1.0.1-alt1 ADD: Build with GStreamer. Use It !
- 1.0.1-alt1 FIX: Short dropouts after starting a stream with GStreamer.
- 1.0.1-alt1 FIX: amaroK starting invisible when systray icon is disabled.
- 1.0.1-alt1 FIX: Playlist analyzer looks freaky on some systems. (BR 83671)
- 1.0.1-alt1 FIX: Display filename in title column for wav files. (BR 83650)
- 1.0.1-alt1 FIX: Don't show crash dialog when no engine plugins are found.
- 1.0.1-alt1 FIX: Compile issue for KDE < 3.2.1 users.

* Wed Jun 17 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt1
- 1.0-alt1 Playlist orientated design with optional Player Window for XMMS junkies!
- 1.0-alt1 "Browser" tabs allow quick and shockingly easy access to media, local and streamed
- 1.0-alt1 Support for XMMS visualisations
- 1.0-alt1 Multithreaded design means the UI never hangs during complex tasks
- 1.0-alt1 Sound-engine independent design allows amaroK to run on aRts, GStreamer and NMM
           with native ALSA engine planned!
- 1.0-alt1 Highly configurable design means amaroK can be the player you want!
- 1.0-alt1 Global shortcuts and a powerful DCOP interface allow you to control amaroK in any way you want
- 1.0-alt1 Intuitive inline tag-editing

* Wed Jun 09 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.3.beta4
- 1.0-alt0.3.beta4 FIX: Fixed bug in the collection browser.

* Mon Jun 07 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.2.beta4
- 1.0-alt0.2.beta4 Translated to russian language.

* Tue Jun 03 2004 Dmitriy Porollo <spider@altlinux.ru> 1.0-alt0.1.beta4
- 1.0-alt0.1.beta4 FIX: Cover not shown in ContextBrowser, when song gets played for the first time ever.
- 1.0-alt0.1.beta4 ADD: Configure->Playback->Device && default device option for audiosinks.
- 1.0-alt0.1.beta4 FIX: Decode %-encoded characters in filenames, like %%2f for a slash.
- 1.0-alt0.1.beta4 FIX: Always show OSD (if enabled) on volume changes.
- 1.0-alt0.1.beta4 FIX: Filtering the collection using tokens with number(s) at the beginning or end failed.
- 1.0-alt0.1.beta4 FIX: "Start Scan" menu-entry gets disabled while scanning.
- 1.0-alt0.1.beta4 FIX: Display splash screen on correct desktop with Xinerama.
- 1.0-alt0.1.beta4 FIX: Not all SQL queries were "string-escaped".
- 1.0-alt0.1.beta4 ADD: Added statistics database, which keeps track of how often and when you play a specific song.
- 1.0-alt0.1.beta4 FIX: Show last playtime in localtime instead of UTC.
- 1.0-alt0.1.beta4 ADD: Allow changing volume by using the mousewheel anywhere on the toolbar.
- 1.0-alt0.1.beta4 ADD: Clear button for CollectionBrowser search.
- 1.0-alt0.1.beta4 FIX: Allow OSD still to be shown via shortcut when disabled
